# $Revision: 1.26 $, $Date: 2007/10/09 22:12:02 $
Summary:	Abstraction library that comes between applications and audio visualisation plugins
Summary(pl.UTF-8):	Abstrakcyjna biblioteka pomiędzy aplikacjami a wtyczkami wizualizacji audio
Name:		libvisual
Version:	0.4.0
Release:	5
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libvisual/%{name}-%{version}.tar.bz2
# Source0-md5:	d0f987abd0845e725743605fd39ef73f
URL:		http://localhost.nl/~synap/libvisual/
Patch0:		%{name}-link.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.14
Obsoletes:	libvisual-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Abstraction library that comes between applications and audio
visualisation plugins.

%description -l pl.UTF-8
Abstrakcyjna biblioteka pomiędzy aplikacjami a wtyczkami wizualizacji
audio.

%package devel
Summary:	Header files for libvisual library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libvisual
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libvisual library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libvisual.

%package static
Summary:	Static libvisual library
Summary(pl.UTF-8):	Statyczna biblioteka libvisual
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libvisual library.

%description static -l pl.UTF-8
Statyczna biblioteka libvisual.

%prep
%setup -q
%patch0 -p1

mv -f po/{es_ES,es}.po
# es_AR is a copy of es
rm -f po/{es_AR.po,stamp-po}
sed -i -e 's|es_ES es_AR|es|' po/LINGUAS

%build
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/libvisual-0.4

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}-0.4

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-0.4.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%dir %{_libdir}/libvisual-0.4
%attr(755,root,root) %{_libdir}/libvisual-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvisual-*.so
%{_libdir}/libvisual-*.la
%{_includedir}/libvisual-*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvisual-*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libvisual.spec,v $
Revision 1.26  2007/10/09 22:12:02  blues
- rel.5 add directory libvisual-0.4 in this place

Revision 1.25  2007/09/06 17:19:07  baggins
- rel 4
- no need to regenerate ac/am

Revision 1.24  2007/09/06 15:27:55  baggins
- rel 3

Revision 1.23  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.21  2006/08/24 17:58:54  wolf
- updated URL

Revision 1.20  2006/06/26 17:12:33  qboosh
- comment about es_AR

Revision 1.19  2006/06/20 18:27:08  freetz
- adios to bogus es_* locale, rel.2

Revision 1.18  2006/03/22 20:37:08  qboosh
- Obsoletes: libvisual-tools (present for a while for 0.1.6 snap)

Revision 1.17  2006/03/22 19:46:10  qboosh
- dropped ppc patch (altivec detection works when run on fixed kernel)

Revision 1.16  2006/03/22 18:43:12  qboosh
- updated to 0.4.0, updated link patch

Revision 1.15  2005/05/05 12:01:21  pluto
- release 4 for Th.

Revision 1.14  2005/03/20 17:06:58  qboosh
- added link patch, revised BRs, release 3

Revision 1.13  2005/02/15 00:04:31  paszczus
- release 2

Revision 1.12  2005/02/14 23:41:48  averne
- fixed to work with new patch

Revision 1.11  2005/02/14 23:15:01  averne
- added -ppc patch

Revision 1.10  2005/02/14 23:10:41  paszczus
- updated to 0.2.0 (merged from DEVEL)
- STBR

Revision 1.7.2.9  2005/02/13 16:10:36  paszczus
- updated to 0.2.0

Revision 1.7.2.8  2005/01/17 09:11:20  paszczus
- updated to 20050117 snap

Revision 1.7.2.7  2005/01/10 11:51:23  paszczus
- grr, i`m blind. Source0 refresh 1mt

Revision 1.7.2.6  2005/01/10 11:48:31  paszczus
- refreshing Source0

Revision 1.7.2.5  2005/01/10 11:44:55  paszczus
- updated to snap 20040110

Revision 1.7.2.4  2004/11/28 12:44:42  qboosh
- actually define bver

Revision 1.7.2.3  2004/11/28 12:42:51  qboosh
- fixed Source0 after last change

Revision 1.7.2.2  2004/11/28 12:41:29  qboosh
- fixed Version

Revision 1.7.2.1  2004/11/28 12:11:11  paszczus
- updated to 2.0.0 pre (amarok from DEVEL requires it.)

Revision 1.7  2004/11/28 11:49:34  havner
- 0.1.7

Revision 1.6  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.5  2004/11/01 20:48:39  havner
- rel 2

Revision 1.4  2004/11/01 20:38:15  havner
- typo

Revision 1.3  2004/11/01 20:29:12  havner
- automake patch

Revision 1.2  2004/10/02 22:44:39  grzegol
- merged from DEVEL and updated to final 0.1.6
- tools are temporary removed from source tarball

Revision 1.1.2.5  2004/08/27 14:17:03  djurban
- updated to 040827, no more includedir/*.h since all in subdir, explicitly build tools as they are not built otherwise

Revision 1.1.2.4  2004/08/03 21:02:29  qboosh
- binary perms

Revision 1.1.2.3  2004/08/03 20:52:03  havner
- one more header file in devel subpackage

Revision 1.1.2.2  2004/08/03 20:33:37  havner
- finished
- subpackage tools

Revision 1.1.2.1  2004/08/03 18:38:13  havner
- snap 040803 (0.1.6)
- NFY, cannot figure why this typedef does not work while building utils

Revision 1.1  2004/08/02 22:25:22  grzegol
- new
